<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbPaymentTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_payment', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_pay_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('source_id', 'fk_pay_acc_b')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('checkout_id', 'fk_pay_co')->references('id')->on('ab_checkout')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_payment', function(Blueprint $table)
		{
			$table->dropForeign('fk_pay_acc');
			$table->dropForeign('fk_pay_acc_b');
			$table->dropForeign('fk_pay_co');
		});
	}

}
